<!DOCTYPE html>
<html lang="es" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <meta name="description" content="Wings Mobile - SoftSwitch Administrator"/>
    <meta name="author" content="Mauricio Biasutto"/>
    <title>Pagos - Wings Mobile</title>
    <link rel="bookmark" th:href="@{/img/favicon.png}"/>
    <link rel="shortcut icon" th:href="@{/img/favicon.ico}"/>
    <link href="/css/font-awesome.min.css" th:href="@{/css/font-awesome.min.css}" rel="stylesheet"/>
    <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
    <link href="/css/sb-admin-2.css" th:href="@{/css/sb-admin-2.css}" rel="stylesheet"/>
    <link href="/css/pace.min.css" th:href="@{/css/pace.min.css}" rel="stylesheet"/>
    <link th:href="@{/css/style.css}" rel="stylesheet"/>
    <script th:src="@{/js/fontawesome.js}"></script>
    <link th:href="@{/css/navigation-style.css}" rel="stylesheet"/>
</head>
<body id="page-top">
<div class="page-wrapper chiller-theme toggled">
    <div th:replace="@{frags/navigation}"></div>
    <main class="page-content">
        <div class="container-fluid">
            <div th:replace="@{frags/topbar}"></div>
            <div th:replace="@{frags/search-bar}"></div>
            <div class="alert alert-success text-center" style="font-size: 20px;" id="update-success" th:if="${success != null}" th:text="${success}"></div>
            <div th:class="container-fluid" id="req-det-body">
                <div class="card" style="margin-bottom: 1em;">
                    <h5 class="card-header text-white bg-secondary mb-3" style="text-align: center;" th:text="#{order.details}">Detalles de pedido de pago</h5>
                    <div class="card-body">
                        <div class="row">
                            <div class="col-7">
                                <div class="card border-secondary mb-3" >
                                    <div class="card-header h5"><i class="fa fa-file-invoice-dollar"></i><strong th:text="| #{order.data}|">Datos del Pedido</strong></strong></div>
                                    <div class="card-body text-secondary">
                                        <div class="float-right" style="margin-right: 13%;">
                                            <div class="position-absolute">
                                                    <img class="rounded" th:if="${paymentRequest.getImage() != null}" th:src="${paymentRequest.getImage()}" id="img-payment"/>
                                            </div>
                                        </div>
                                        <div class="row pb-1">
                                            <div class="col-3"><strong th:text="|#{order.id}:|">ID:</strong></div>
                                            <span th:text="| ${paymentRequest.getId()}|"></span>
                                        </div>
                                        <div class="row pb-1">
                                            <div class="col-3"><strong th:text="|#{order.order.number}:|">Número de orden: </strong></div>
                                            <span th:text="| ${paymentRequest.getOrderNumber()}|"></span>
                                        </div>
                                        <div class="row pb-1" sec:authorize="hasRole('ROLE_ADMIN')">
                                            <div class="col-3"><strong th:text="|#{order.requester.name}:|">Requester Name: </strong></div>
                                            <span th:text="| ${paymentRequest.getRequesterName()}|"></span>
                                        </div>
                                        <div class="row pb-1">
                                            <div class="col-3"><strong th:text="|#{order.title}:|">Título: </strong></div>
                                            <span th:text="| ${paymentRequest.getTitle()}|"></span>
                                        </div>
                                        <div class="row pb-1">
                                            <div class="col-3"><strong th:text="|#{order.price}:|">Precio: </strong></div>
                                            <span th:text="| $${paymentRequest.getAmount()} ${paymentRequest.getCurrency()}|"></span></div>
                                        <div class="row pb-1">
                                            <div class="col-3"><strong th:text="|#{order.payment.country}:|">País: </strong></div>
                                            <div name="paymentFlag" th:text="${paymentRequest.getCountry()}"></div>
                                        </div>
                                        <div class="row pb-1">
                                            <div class="col-3"><strong th:utext="|#{order.description}:|">Descripción: </strong></div>
                                            <div class="row col"><span th:if="${paymentRequest.getDescription() == ''}" th:text="' No disponible'"></span>
                                                <span th:utext="| ${paymentRequest.getDescription()}|"></span>
                                            </div>
                                        </div>
                                            <div class="row pb-1">
                                                <div class="col-3"><strong th:text="|#{order.callback.url}:|">Callback URL: </strong></div>
                                                <span th:text="| ${paymentRequest.getCallbackUrl()}|"></span>
                                            </div>
                                            <div class="row pb-1">
                                                <div class="col-3"><strong th:text="|#{order.gateway}:|">Gateway: </strong></div>
                                                <span th:text="| ${paymentRequest.getPreferredGateway() == null ? 'No disponible': paymentRequest.getPreferredGateway()}|"></span>
                                            </div>
                                            <div class="row pb-1">
                                                <div class="col-3"><strong th:text="|#{order.excluded.bacs}:|">Bacs Excluidos: </strong></div>
                                                <span th:text="| ${paymentRequest.isExcludeBacs()? 'Si' : 'No'}|"></span>
                                            </div>
                                            <div class="row pb-1">
                                                <div class="col-3"><strong th:text="|#{order.status}:|">Status: </strong></div>
                                                <span th:text="| ${paymentRequest.getStatusDate() == null? '' : (paymentRequest.getStatusDate()+'-')}
                                             ${paymentRequest.getStatus()}
                                             ${paymentRequest.getStatusMessage() == null? '': (' - '+ paymentRequest.getStatusMessage())}|"></span>
                                            </div>
                                            <div class="row pb-1">
                                                <div class="col-3"><strong>Tipo de Pago: </strong></div>
                                                <span th:text="| ${paymentRequest.getPaymentType() == null ? 'No disponible' : paymentRequest.getPaymentType()}|"></span>
                                            </div>
                                            <div class="row pb-1">
                                                <div class="col-3"><strong th:text="|#{order.paymentcode}:|">Código de Pago: </strong></div>
                                                <span th:text="| ${paymentRequest.getPayCode() == null? 'No disponible' : paymentRequest.getPayCode()}|"></span>
                                            </div>
                                            <div class="row pb-1">
                                                <div class="col-3"><strong th:text="|#{order.processor}:|">Procesador: </strong></div>
                                                <span th:text="| ${paymentRequest.getProcessor() == null? 'No disponible' : paymentRequest.getProcessor()}|"></span>
                                            </div>
                                            <div class="row pb-1">
                                                <div class="col-3"><strong th:text="|#{order.hashcode}: |">Hashcode: </strong></div>
                                                <span th:text="${paymentRequest.getCode() == null? '' : paymentRequest.getCode()}"></span>
                                            </div>
                                        <form>
                                            <button class="btn btn-success regenerate-order float-right" id="btnRegenerate" type="button" th:text="#{order.regenerate.order.number}">Regenerar Número de Orden</button>
                                            <input type="hidden" id="prId" th:value="${paymentRequest.getOrderNumber()}" th:attr="data-identifier=${paymentRequest.getId()}">
                                        </form>
                                    </div>
                                </div>
                            </div>
                            <div class="col-5">
                                <div class="card border-secondary mb-4 ml-4" style="max-height: 20em;">
                                    <div class="card-header h5"><i class="fa fa-user-alt"></i><strong th:text="| #{order.buyer.data}|">Datos del comprador</strong></div>
                                    <div class="card-body text-secondary">
                                        <div class="row pb-1">
                                            <div class="col-3" style="font-size: 15px;"><strong th:text="|#{order.buyer.name}:|">Nombre/s: </strong></div>
                                            <span th:text="| ${paymentRequest.getBillingFirstName()}|"></span>
                                        </div>
                                        <div class="row pb-1">
                                            <div class="col-3" style="font-size: 15px;"><strong th:text="|#{order.buyer.lastname}:|">Apellido/s: </strong></div>
                                            <span th:text="| ${paymentRequest.getBillingLastName()}|"></span>
                                        </div>
                                        <div class="row pb-1">
                                            <div class="col-3" style="font-size: 15px;"><strong th:text="|#{order.buyer.email}:|">Email: </strong></div>
                                            <span th:text="| ${paymentRequest.getBillingEmail()}|"></span>
                                        </div>
                                        <div class="row pb-1">
                                            <div class="col-3" style="font-size: 15px;"><strong th:text="|#{order.payment.country}:|">Pais: </strong></div>
                                            <div name="paymentFlag" th:text="${paymentRequest.getCountry()}"></div>
                                        </div>
                                        <div class="row pb-1">
                                            <div class="col-3" style="font-size: 15px;"><strong th:text="|#{order.payment.city}:|">Ciudad: </strong></div>
                                            <span th:text="| ${paymentRequest.getBillingCity()}|"></span>
                                        </div>
                                        <div class="row pb-1">
                                            <div class="col-3" style="font-size: 15px;"><strong th:text="|#{order.payment.state}:|">Estado: </strong></div>
                                            <span th:text="| ${paymentRequest.getBillingState()}|"></span>
                                        </div>
                                        <div class="row pb-1">
                                            <div class="col-3" style="font-size: 15px;"><strong th:text="|#{order.payment.address}:|">Dirección: </strong></div>
                                            <div class="row col"><span th:if="${paymentRequest.getDescription() == ''}" th:text="' No disponible'"></span>
                                                <span th:text="| ${paymentRequest.getBillingAddress()}|"></span>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="card border-secondary ml-4" th:if="${paymentTransaction != null}">
                                    <div class="card-header h5"><i class="fa fa-exchange-alt"></i><strong th:text="| #{order.payment.transaction}|">Transacción de Pago</strong></div>
                                    <div class="card-body text-secondary">
                                        <div class="row pb-1">
                                            <div class="col-3" style="font-size: 15px;"><strong th:text="|#{order.transaction.id}:|">ID: </strong></div>
                                            <span th:text="| ${paymentTransaction.getId()}|" th:value="${paymentTransaction.getId()}" id="pt-Id"></span>
                                        </div>
                                        <div class="row pb-1">
                                            <div class="col-3"><strong th:text="|#{order.gateway.id}:|">Gateway Id: </strong></div>
                                            <span th:text="| ${paymentTransaction.getGatewayImplementantionId()}|"></span>
                                        </div>
                                        <div class="row pb-1">
                                            <div class="col-3"><strong th:text="|#{order.payment.last.status}:|">Último Status: </strong></div>
                                            <span th:text="| ${paymentTransaction.getLastStatus()}|"></span>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                             <div class="row">
                                 <div class="col-5"  id="rep-pt"></div>
                                 <div class="col-7" id="divCallbackValues"></div>
                            </div>
                        <div hidden="true" th:text="#{regenerated.order}" id="regeneratedOrder"></div>
                        <div id="i18n_regenerate_order_number_title" th:text="#{popup.msg.reg.order.number.title}" style="display:none;"></div>
                        <div id="i18n_regenerate_order_number" th:text="#{popup.msg.reg.order.number}" style="display:none;"></div>
                        <div id="i18n_regenerate_order_number_error" th:text="#{msg.error.reg.order.number.error}" style="display:none;"></div>
                        <a th:href="@{/admin/}" class="btn btn-primary active float-right" th:text="#{order.payment.return}">Regresar</a>
                    </div>
                </div>
            </div>
            <div th:replace="@{frags/footer-logged}"></div>
        </div>
    </main>
</div>
<script th:src="@{/js/sweetalert.min.js}"></script>
<script th:src="@{/js/jquery.min.js}"></script>
<script th:src="@{/js/popper.min.js}"></script>
<script th:src="@{/js/bootstrap.min.js}"></script>
<script th:src="@{/js/payment/http-services.js}"></script>
<script th:src="@{/js/payment/utils.js}"></script>
</body>
</html>